import React, { Component } from 'react';
import styles from './square.css';

class Square extends Component {
  render() {
    const value = this.props.value;
    return <div className={`${styles.square} ${value === 'x' ?  styles.blue: value === 'o' ? styles.red : styles.default}`} onClick={this.props.onClick}><span className={styles.squareVal}>{this.props.value}</span></div>;
  }
}
export default Square;

